### Class

# WebKit ClipboardPermissionRequest

since: 2.42

#### Description [src]

    final class WebKit.ClipboardPermissionRequest : GObject.Object
      implements WebKit.PermissionRequest {
      /* No available fields */
    }

A permission request for reading clipboard contents.

WebKitClipboardPermissionRequest represents a request for permission to decide whether WebKit can access the clipboard to read its contents through the Async Clipboard API.

When a WebKitClipboardPermissionRequest is not handled by the user, it is denied by default.

Available since: 2.42

#### Ancestors

- GObject

#### Implements

- WebKitPermissionRequest

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from WebKitPermissionRequest (2)

###### webkit_permission_request_allow

Allow the action which triggered this request.

###### webkit_permission_request_deny

Deny the action which triggered this request.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKitClipboardPermissionRequestClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.